Bug 1915176

Summary: Update snapshot API CRDs to v1 in web-console when creating volumesnapshot related resource
Product: OpenShift Container Platform Reporter: Wei Duan <wduan>
Component: Management ConsoleAssignee: Jakub Hadvig <jhadvig>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, jokerman, yanpzhan
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:51:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Wei Duan 2021-01-12 07:17:49 UTC
Description of problem:
We start to use snapshot.storage.k8s.io/v1 from OCP4.7(Kubernetes 1.20), please update the example yaml file from v1beta1 to v1 

Version-Release number of selected component (if applicable):
4.7.0-fc.2

How reproducible:
Always

Steps to Reproduce:
1. Web Console - Storage - VolumeSnapshots/VolumeSnapshotClasses/VolumeSnapshotContents
2. Create new VolumeSnapshots/VolumeSnapshotClasses/VolumeSnapshotContents

Actual results:
In example yaml file, apiVersion is snapshot.storage.k8s.io/v1beta1

Expected results:
In example yaml file, apiVersion should be snapshot.storage.k8s.io/v1

Comment 3 Yanping Zhang 2021-02-07 04:14:52 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-02-06-084550
On console, check yaml creation page for VolumeSnapshots/VolumeSnapshotClasses/VolumeSnapshotContents, the api version is **/v1 now.
The bug is fixed.

Comment 6 errata-xmlrpc 2021-02-24 15:51:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633